Skip to content

Update PDF Template

PATCH
/api/pdf-reports/templates/{id}

Update an existing PDF template. The report type is fixed after creation. Global templates can only be updated by global admins.

Authorizations

ApiKeyAuth

API key for authentication. Get your API key from the dashboard.

Type
API Key (header: X-Api-Key)

Parameters

Path Parameters

id*
Type
string
Required

Request Body

application/json
JSON
{
  
"data": {
  
  
"type": "templates",
  
  
"id": "string",
  
  
"attributes": {
  
  
  
"name": "string",
  
  
  
"description": "string",
  
  
  
"editorConfig": "string",
  
  
  
"pageSettings": "string",
  
  
  
"customCss": "string",
  
  
  
"isDefault": true,
  
  
  
"isActive": true
  
  
}
  
}
}

Responses

Updated PDF template

application/vnd.api+json
JSON
{
  
"data": {
  
  
"type": "pdf-template",
  
  
"id": "string",
  
  
"attributes": {
  
  
  
"organizationId": "string",
  
  
  
"name": "string",
  
  
  
"description": "string",
  
  
  
"reportType": "string",
  
  
  
"editorConfig": {
  
  
  
  
"additionalProperties": null
  
  
  
},
  
  
  
"pageSettings": {
  
  
  
  
"additionalProperties": null
  
  
  
},
  
  
  
"customCss": "string",
  
  
  
"isDefault": true,
  
  
  
"isActive": true,
  
  
  
"version": 0,
  
  
  
"createdAt": "string",
  
  
  
"updatedAt": "string"
  
  
}
  
}
}

Playground

Authorization
Variables
Key
Value
Body

Samples

Powered by VitePress OpenAPI

AstroAPI Documentation